<?xml version="1.0" encoding="UTF-8"?>
<!--

    DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.

    Copyright (c) 2004-2017 Oracle and/or its affiliates. All rights reserved.

    The contents of this file are subject to the terms of either the GNU
    General Public License Version 2 only ("GPL") or the Common Development
    and Distribution License("CDDL") (collectively, the "License").  You
    may not use this file except in compliance with the License.  You can
    obtain a copy of the License at
    https://oss.oracle.com/licenses/CDDL+GPL-1.1
    or LICENSE.txt.  See the License for the specific
    language governing permissions and limitations under the License.

    When distributing the software, include this License Header Notice in each
    file and include the License file at LICENSE.txt.

    GPL Classpath Exception:
    Oracle designates this particular file as subject to the "Classpath"
    exception as provided by Oracle in the GPL Version 2 section of the License
    file that accompanied this code.

    Modifications:
    If applicable, add the following below the License Header, with the fields
    enclosed by brackets [] replaced by your own identifying information:
    "Portions Copyright [year] [name of copyright owner]"

    Contributor(s):
    If you wish your version of this file to be governed by only the CDDL or
    only the GPL Version 2, indicate your decision by adding "[Contributor]
    elects to include this software in this distribution under the [CDDL or GPL
    Version 2] license."  If you don't indicate a single choice of license, a
    recipient has the option to distribute your version of this file under
    either the CDDL, the GPL Version 2 or to extend the choice of license to
    its licensees as provided above.  However, if you add GPL Version 2 code
    and therefore, elected the GPL Version 2 license, then the option applies
    only if the new code is made subject to such option by the copyright
    holder.

-->

<!--
   Please remember to customize this file for your environment. The defaults for 
   following fields may not be appropriate.  
   - target-server name, address and port
   - Property security.config in message-security-config
-->

<!DOCTYPE client-container PUBLIC "-//GlassFish.org//DTD GlassFish Application Server 3.1 Application Client Container//EN" "http://glassfish.org/dtds/glassfish-application-client-container_1_3.dtd">

<client-container>
  <target-server name="CDS3-USAM046.sv.cds" address="localhost" port="11344"/>
  <log-service file="" level="WARNING"/>
  <message-security-config auth-layer="SOAP">
    <!-- turned off by default -->
    <provider-config class-name="com.sun.xml.wss.provider.ClientSecurityAuthModule" provider-id="XWS_ClientProvider" provider-type="client"> 
      <request-policy auth-source="content"/>
      <response-policy auth-source="content"/>
      <property name="encryption.key.alias" value="s1as"/>
      <property name="signature.key.alias" value="s1as"/>
      <property name="dynamic.username.password" value="false"/>
      <property name="debug" value="false"/>
    </provider-config>
    <provider-config class-name="com.sun.xml.wss.provider.ClientSecurityAuthModule" provider-id="ClientProvider" provider-type="client"> 
      <request-policy auth-source="content"/>
      <response-policy auth-source="content"/>
      <property name="encryption.key.alias" value="s1as"/>
      <property name="signature.key.alias" value="s1as"/>
      <property name="dynamic.username.password" value="false"/>
      <property name="debug" value="false"/>
      <property name="security.config" value="${com.sun.aas.installRoot}/lib/appclient/wss-client-config-1.0.xml"/>
    </provider-config>
  </message-security-config>
</client-container>
